nearest: Nearest Postcodes

API: postcodes.io:postcodes.io
Endpoint: /postcodes/{postcode}/nearest
Response format: text/plain
Auth: unknown
Method: GET
Last Status: 200
Latency: 119ms

Description

Returns the nearest postcodes to a given postcode, ordered by distance.

Parameters (3)

limit (integer, query, optional, default: 10)

Maximum number of results to return (default 10, max 100)

Constraints: {'maximum': 100}

postcode (string, path, required)

UK postcode to find nearest postcodes for

radius (number, query, optional, default: 10000)

Search radius in meters (default 10000m, max 20000m)

Constraints: {'maximum': 20000}

Examples (2)

Find nearest postcodes openapi-spec
curl 'https://api.postcodes.io/postcodes/SW1A1AA/nearest'
import requests

resp = requests.get("https://api.postcodes.io/postcodes/SW1A1AA/nearest")
data = resp.json()
import zingu_apis

api = zingu_apis.api("postcodes")
result = api.fetch("postcodes/{postcode}/nearest")

for item in result:
    print(item)
const resp = await fetch("https://api.postcodes.io/postcodes/SW1A1AA/nearest");
const data = await resp.json();
Find nearest postcodes probe-gate
curl 'https://api.postcodes.io/postcodes/SW1A1AA/nearest?limit=10&radius=10000'
import requests

resp = requests.get(
    "https://api.postcodes.io/postcodes/SW1A1AA/nearest",
    params={
        'limit': '10',
        'radius': '10000',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("postcodes")
result = api.fetch("postcodes/{postcode}/nearest", limit=10, radius=10000)

for item in result:
    print(item)
const resp = await fetch("https://api.postcodes.io/postcodes/SW1A1AA/nearest?limit=10&radius=10000");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:17:09.792493 200 119ms
2026-04-16 04:16:04.573505 200 176ms
2026-04-15 02:35:55.288220 200 197ms
2026-04-15 02:08:21.311045 200 175ms
2026-04-14 02:58:51.059632 200 173ms
2026-04-14 01:09:17.539408 200 116ms
2026-04-12 14:57:36.671741 200 185ms
2026-04-12 12:48:37.580717 200 497ms
2026-04-10 01:30:30.207383 200 85ms
2026-04-10 00:41:52.481603 200 121ms
2026-04-09 03:11:31.588139 200 175ms
2026-04-09 00:38:17.014141 200 979ms
2026-03-28T05:36:01.276903 200 240ms